import type { MmdWasmInstance } from "../mmdWasmInstance";
/**
 * Animation pool singleton
 */
export declare class AnimationPoolWrapper {
    private static readonly _Map;
    readonly instance: MmdWasmInstance;
    readonly pool: InstanceType<MmdWasmInstance["AnimationPool"]>;
    private _referenceCount;
    private constructor();
    /**
     * @internal
     */
    addReference(): void;
    /**
     * @internal
     */
    removeReference(): void;
    /**
     * Get animation pool
     * @param instance MMD WASM instance
     * @returns Animation pool for the WASM instance
     */
    static Get(instance: MmdWasmInstance): AnimationPoolWrapper;
}
